#ifndef _MSGBOX_H_
#define _MSGBOX_H_

#include "CoolBtn.h"	// Added by ClassView
#include "GDIX.H"	// Added by ClassView
#define MBX_OK     1
#define MBX_YESNO  2
class CMsgBox:public CDialogX
{
public:
	UINT m_type;
	virtual int DoModal(LPCTSTR lpszTemplateName,HWND hWndParent);
	
	UINT ShowMsg(char* caption,char* msg,UINT type,HWND hwnd);
	virtual  ~CMsgBox();
	CMsgBox();
protected:
	virtual void OnTimer(UINT nIDEvent);
	HRGN m_hrgnTitle;
	virtual void OnLButtonDown(UINT nFlags, POINT &point);
	virtual void OnMouseMove(UINT nFlags, POINT point);
	CRectX m_rcMsg;
	CRectX m_rc;
	CRectX m_rcTitle;
	HBITMAP m_hbmpT1;
	HBITMAP m_hbmpT2;
	HBITMAP m_hbmpClose;
	HBITMAP m_hbmpFace;
	CCoolBtn m_btn1;
	CCoolBtn m_btn2;
	CCoolBtn m_btnClose;
	virtual BOOL OnEraseBkgnd(HDC hdc);
	UINT m_uResult;
	char m_msg[256];
	char m_caption[128];
	virtual LRESULT WndProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};










#endif

